## ros-humble-beluga 2.0.2

=== debian/changelog ===
ros-humble-beluga (2.0.2-1bookworm) bookworm; urgency=high

  * Use no-gnu-zero-variadic-macro-arguments only with clang-tidy (#391 <https://github.com/Ekumen-OS/beluga/issues/391>)
  * Add 3D NDT sensor model and tests. (#400 <https://github.com/Ekumen-OS/beluga/issues/400>)
  * Expand grid concepts to n dimensions (#396 <https://github.com/Ekumen-OS/beluga/issues/396>)
  * Add cast from hsize_t to size_t (#392 <https://github.com/Ekumen-OS/beluga/issues/392>)
  * Contributors: Nahuel Espinosa, Ramiro Serra

 -- Gerardo Puga <glpuga@ekumenlabs.com>  Mon, 17 Jun 2024 16:00:00 -0000

ros-humble-beluga (2.0.1-1bookworm) bookworm; urgency=high

  * Support 32-bit hashes (#386 <https://github.com/Ekumen-OS/beluga/issues/386>)
  * Rewrite make_from_state as a function object (#384 <https://github.com/Ekumen-OS/beluga/issues/384>)
  * Contributors: Alon Druck, Nahuel Espinosa

 -- Gerardo Puga <glpuga@ekumenlabs.com>  Thu, 23 May 2024 16:00:00 -0000

ros-humble-beluga (2.0.0-1bookworm) bookworm; urgency=high

  * Please clang-tidy on Ubuntu Noble (#379 <https://github.com/Ekumen-OS/beluga/issues/379>)
  * Add ROS 2 Jazzy to CI/CD and dev workflows (#378 <https://github.com/Ekumen-OS/beluga/issues/378>)
  * Restore particle cloud visualization using markers (#377 <https://github.com/Ekumen-OS/beluga/issues/377>)
  * Ensure we exercise random state generation every time (#371 <https://github.com/Ekumen-OS/beluga/issues/371>)
  * Add example for NDT sensor model in beluga_example (#360 <https://github.com/Ekumen-OS/beluga/issues/360>)
  * Unify Beluga documentation (#346 <https://github.com/Ekumen-OS/beluga/issues/346>)
  * Transition Beluga to Noble with Rolling (#349 <https://github.com/Ekumen-OS/beluga/issues/349>)
  * Provide sensible defaults for LikelihoodFieldModelParam (#344 <https://github.com/Ekumen-OS/beluga/issues/344>)
  * Add a core AMCL pipeline (#343 <https://github.com/Ekumen-OS/beluga/issues/343>)
  * Add NDT sensor model (#338 <https://github.com/Ekumen-OS/beluga/issues/338>)
  * Add sparse value grid implementation (#336 <https://github.com/Ekumen-OS/beluga/issues/336>)
  * Add HDF5 dependency to beluga core (#335 <https://github.com/Ekumen-OS/beluga/issues/335>)
  * Deprecate all the (mixin) things (#330 <https://github.com/Ekumen-OS/beluga/issues/330>)
  * Add death tests and build in debug mode (#323 <https://github.com/Ekumen-OS/beluga/issues/323>)
  * Remove (unused) cluster customization point object (#331 <https://github.com/Ekumen-OS/beluga/issues/331>)
  * Fix landmark models probability aggregation formula (#329 <https://github.com/Ekumen-OS/beluga/issues/329>)
  * Add AMCL implementation for ROS (#327 <https://github.com/Ekumen-OS/beluga/issues/327>)
  * Migrate sensor models to functional form (#325 <https://github.com/Ekumen-OS/beluga/issues/325>)
  * Use AlignedBox3d as LandmarkMapBoundaries (#326 <https://github.com/Ekumen-OS/beluga/issues/326>)
  * Relocate make_random_state() method (#324 <https://github.com/Ekumen-OS/beluga/issues/324>)
  * Add uniform distribution with bounding regions (#322 <https://github.com/Ekumen-OS/beluga/issues/322>)
  * Migrate motion models to functional form (#321 <https://github.com/Ekumen-OS/beluga/issues/321>)
  * Add generic circular array container (#320 <https://github.com/Ekumen-OS/beluga/issues/320>)
  * Add uniform free-space grid distribution (#319 <https://github.com/Ekumen-OS/beluga/issues/319>)
  * Make test matchers and printers available to users (#300 <https://github.com/Ekumen-OS/beluga/issues/300>)
  * Extend multivariate distribution to support different result types (#298 <https://github.com/Ekumen-OS/beluga/issues/298>)
  * Add normalize action (#297 <https://github.com/Ekumen-OS/beluga/issues/297>)
  * Extend sample view to sample from random distributions (#296 <https://github.com/Ekumen-OS/beluga/issues/296>)
  * Add recovery probability estimator (#295 <https://github.com/Ekumen-OS/beluga/issues/295>)
  * Add declarative policies (#294 <https://github.com/Ekumen-OS/beluga/issues/294>)
  * Add ESS algorithm (#290 <https://github.com/Ekumen-OS/beluga/issues/290>)
  * Motion and sensor models are not mixins (#291 <https://github.com/Ekumen-OS/beluga/issues/291>)
  * Add propagate and reweight actions (#289 <https://github.com/Ekumen-OS/beluga/issues/289>)
  * Fix sample view (#288 <https://github.com/Ekumen-OS/beluga/issues/288>)
  * Add assign action (#287 <https://github.com/Ekumen-OS/beluga/issues/287>)
  * Add zip view and fix tuple vector traits (#286 <https://github.com/Ekumen-OS/beluga/issues/286>)
  * Add support for tuple vector assignment and conversion (#285 <https://github.com/Ekumen-OS/beluga/issues/285>)
  * Integrate views with mixins (#284 <https://github.com/Ekumen-OS/beluga/issues/284>)
  * Improve take_while_kld implementation (#282 <https://github.com/Ekumen-OS/beluga/issues/282>)
  * Add sample view (#281 <https://github.com/Ekumen-OS/beluga/issues/281>)
  * Minor fixes to forward_like test (#283 <https://github.com/Ekumen-OS/beluga/issues/283>)
  * What is a particle? (#280 <https://github.com/Ekumen-OS/beluga/issues/280>)
  * Add random intersperse view (#278 <https://github.com/Ekumen-OS/beluga/issues/278>)
  * Add take_while_kld view (#277 <https://github.com/Ekumen-OS/beluga/issues/277>)
  * Improve spatial_hash function to avoid spatial periodicity in the hash function (#273 <https://github.com/Ekumen-OS/beluga/issues/273>)
  * Rework generic data access (#272 <https://github.com/Ekumen-OS/beluga/issues/272>)
  * Generalize planar laser scan support (#271 <https://github.com/Ekumen-OS/beluga/issues/271>)
  * Add new discrete landmark and bearing sensor models to the beluga library (#268 <https://github.com/Ekumen-OS/beluga/issues/268>)
  * Fix differential drive motion model (#267 <https://github.com/Ekumen-OS/beluga/issues/267>)
  * Use double buffering in particle storage (#266 <https://github.com/Ekumen-OS/beluga/issues/266>)

