=== debian/control ===
Source: ros-humble-beluga
Section: misc
Priority: optional
Maintainer: Gerardo Puga <glpuga@ekumenlabs.com>
Build-Depends: debhelper (>= 9.0.0), clang-format <!nocheck>, clang-tidy <!nocheck>, cmake, libbenchmark-dev <!nocheck>, libeigen3-dev, libgmock-dev <!nocheck>, libgtest-dev <!nocheck>, libhdf5-dev, librange-v3-dev, libtbb-dev, ros-humble-sophus, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-beluga
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, libhdf5-dev, librange-v3-dev, libtbb-dev, ros-humble-sophus, ros-humble-ros-workspace
Description: A generic MCL library for ROS2.
